/* The outer-div to move the elements */
.box-video {
  width: 100%;
  margin: 0 auto 20px auto;
  cursor: pointer;
  overflow: hidden;
}

/* Set Cover aka Background-Image */
.box-video .bg-video {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-repeat: no-repeat;
  background-position: center;
  background-size: cover;
  z-index: 2;

  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none;
}

/* Add light shade to make play button visible*/
.bg-video::after {
  content: "";
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: linear-gradient(to bottom, #00000000 10%, #000000 98%);
  z-index: 3;
  -webkit-touch-callout: none; /* iOS Safari */
  -webkit-user-select: none; /* Safari */
  -khtml-user-select: none; /* Konqueror HTML */
  -moz-user-select: none; /* Old versions of Firefox */
  -ms-user-select: none; /* Internet Explorer/Edge */
  user-select: none;
}

/* The Play-Button using CSS-Only */
.box-video .bt-play {
  position: absolute;
  top: 50%;
  left: 50%;
  margin: -30px 0 0 -76px;
  display: inline-block;
  width: 150px;
  height: 54px;
  background: #fff;
  /* box-shadow: 0 0 0 6px rgba(255,255,255,.2); */
  box-shadow: inset 0px -8px 11px 0px rgba(0, 0, 0, 0.3);
  filter: drop-shadow(0px 10px 25px #000);
  border-radius: 50px;
  cursor: pointer;
  z-index: 2;
  -webkit-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

/* The Play-Triangle */
.box-video .bt-play:after {
  content: "";
  position: absolute;
  left: 25%;
  top: 50%;
  height: 0;
  width: 0;
  margin: -9px 0 0 -12px;
  border: solid transparent;
  border-left-color: #e50914;
  border-width: 10px 16px;
  -webkit-transition: all 0.3s ease-out;
  transition: all 0.3s ease-out;
}

/* The Play-Triangle */
.box-video .bt-play-text {
  position: absolute;
  top: 28%;
  left: 33%;
  font-size: 16px;
  text-transform: uppercase;
  color: #0c0b0f;
}

.bt-play-text:after {
  content: "Play Game";
}

.box-video:hover .bt-play {
  transform: scale(1.1);
}

/* When Class added the Cover gets hidden... */
.box-video.open .bg-video {
  visibility: hidden;
  opacity: 0;

  -webkit-transition: all 0.6s 0.8s;
  transition: all 0.6s 0.8s;
}

/* When Class added the Cover gets hidden... */
.box-video.open .bt-play {
  visibility: hidden;
  opacity: 0;

  -webkit-transition: all 0.6s 0.8s;
  transition: all 0.6s 0.8s;
}

/* and iframe shows up */
.box-video.open .video-container {
  opacity: 1;
  -webkit-transition: all 0.6s 0.8s;
  transition: all 0.6s 0.8s;
}

/* Giving the div ratio of 16:9 with padding */
.video-container {
  width: 100%;
  height: 0;
  margin: 0;
  z-index: 1;
  padding-bottom: 50%;
}

.video-container iframe {
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.video-container.active {
  display: inline-block;
  position: fixed;
  z-index: 99999999999;
  width: 100%;
  height: 100%;
  padding-bottom: 0%;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: #0c0b0f;
}
